Bug 1653382 - [3.9] firewalld reload causes namespace wide egress IP to stop working
Summary: [3.9] firewalld reload causes namespace wide egress IP to stop working
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 3.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.9.z
Assignee: Dan Winship
QA Contact: Meng Bo
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-26 17:02 UTC by Dan Winship
Modified: 2018-12-13 19:27 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Egress IP-related iptables rules were not recreated if they got deleted. Consequence: If a user restarted firewalld or iptables.service on a node that hosted egress IPs, then those egress IPs would stop working. (Traffic that should have used the egress IP would use the node's normal IP instead.) Fix: Egress IP iptables rules are now recreated if they are removed. Result: Egress IPs work reliably.
Clone Of: 1643304
Environment:
Last Closed: 2018-12-13 19:27:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift ose pull 1475 None None None 2018-11-26 17:12:44 UTC
Red Hat Product Errata RHBA-2018:3748 None None None 2018-12-13 19:27:27 UTC

Comment 1 Dan Winship 2018-11-26 17:12:44 UTC
https://github.com/openshift/ose/pull/1475

Comment 5 Meng Bo 2018-12-03 10:59:53 UTC
Tested on ocp v3.9.57

The issue has been fixed.

Comment 8 errata-xmlrpc 2018-12-13 19:27:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:3748


Note You need to log in before you can comment on or make changes to this bug.